Perl 6 - the future is here, just unevenly distributed

IRC log for #perl6-toolchain, 2017-11-13

| Channels | #perl6-toolchain index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
02:55 ilbot3 joined #perl6-toolchain
02:55 Topic for #perl6-toolchain is now Fire is step THREE! | https://github.com/perl6/toolchain-bikeshed | Channel logs: http://irclog.perlgeek.de/perl6-toolchain/today | useful prior art: https://metacpan.org/pod/CPAN::Meta::Spec
06:17 domidumont joined #perl6-toolchain
06:17 domidumont1 joined #perl6-toolchain
06:25 domidumont joined #perl6-toolchain
08:04 domidumont joined #perl6-toolchain
10:56 domidumont On Debian mips, build is failing with: "Bytecode validation error at offset 150, instruction 24: out of range SC index 56283" Do you know how to fix this? (see http://tinyurl.com/y9ausg64 )
10:58 domidumont https://buildd.debian.org/status/package.php?p=rakudo&suite=sid shows similar failure for s390x powerpc ppc64
11:00 domidumont And repl.t  exits 1 on armel mipsel . See http://tinyurl.com/yb54s4jw
12:57 domidumont joined #perl6-toolchain
13:41 domidumont joined #perl6-toolchain
15:14 llfourn joined #perl6-toolchain
15:25 ugexe That is showing libuv 1.9 but we are on 1.14+
15:47 domidumont ok... Then libuv needs to be updated on Debian... Thanks for the hint
15:49 ugexe I imagine it should be handled in a timely fashion by the Node people (who are adding stuff on new libuv features as well)
17:07 domidumont joined #perl6-toolchain
17:12 domidumont ugexe: it does not look like a problem with libuv version: armhf builds fine with libuv1 1.9.1 https://buildd.debian.org/status/fetch.php?pkg=rakudo&arch=armhf&ver=2017.10-1&stamp=1509734613&raw=0
17:13 domidumont https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=880794 hints at a big-endianess problem
17:14 ugexe it will break in blead
17:14 ugexe 2017.10 used libuv 1.14.2 but no new features. blead uses uv_fs_copyfile which was added after 1.9.*
17:15 ugexe so keep an eye out for that
17:17 domidumont ok, will do. For the record Debian/unstable has libuv 1.11 . I don't know why build daemon uses this version from Debian stable
19:15 hgjkl joined #perl6-toolchain
20:35 patrickz joined #perl6-toolchain
22:10 tadzik joined #perl6-toolchain

| Channels | #perl6-toolchain index | Today | | Search | Google Search | Plain-Text | summary